moswitch

PROBLEMS IMPORTING ARCGISSCRIPTING

Discussion created by moswitch on Oct 10, 2012
Latest reply on Oct 27, 2012 by moswitch
I'm learning how to code in Python but I'm not able to import the ArcGIS modules either in IDLE or PythonWin when I perform the following.  By the way I'm using ArcMap 9.3.1, also the file arcgisscripting.pyd is in my C:\Program Files\arcgis\Bin folder

#Import modules
import arcgisscripting, sys, os


Code resulted in the following error message:

import arcgisscripting
ImportError: Module use of python25.dll conflicts with this version of Python.

I have done the following to check where python is pointing

import sys, pprint
pprint.pprint(sys.path)


which resulted in the following:

'C:\\Program Files\\Python26\\Lib\\idlelib',
'C:\\Program Files\\ArcGIS\\bin',
'C:\\Windows\\system32\\python26.zip',
'C:\\Program Files\\Python26\\DLLs',
'C:\\Program Files\\Python26\\lib',
'C:\\Program Files\\Python26\\lib\\plat-win',
'C:\\Program Files\\Python26\\lib\\lib-tk',
'C:\\Program Files\\Python26',
'C:\\Program Files\\Python26\\lib\\site-packages',
'C:\\Program Files\\Python26\\lib\\site-packages\\win32',
'C:\\Program Files\\Python26\\lib\\site-packages\\win32\\lib',
'C:\\Program Files\\Python26\\lib\\site-packages\\Pythonwin'

I would greatly appreciate it if someone could provide some details on how I can fix this problem.

Outcomes